Package org.eclipse.net4j.util.collection

## Class DynamicArray<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.DynamicArray<E>

-     public class DynamicArray<E>
      extends java.lang.Object

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicArray()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `E` | `add​(int index, E element)` |
    `int` | `add​(E element)` |
    `E` | `get​(int index)` |
    `E` | `remove​(int index)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicArray

          public DynamicArray()

  - ### Method Detail

    - #### add

          public int add​(E element)

    - #### add

          public E add​(int index,
                       E element)

    - #### remove

          public E remove​(int index)

    - #### get

          public E get​(int index)